Name:           doctorj
Version:        5.0.0
Release:        5%{?dist}
Summary:        Java source code analyzer

Group:          Development/Tools
License:        LGPL
URL:            http://doctorj.sourceforge.net/
Source:         http://download.sf.net/doctorj/%{name}-%{version}.tar.gz
Patch0:		classpath_fix.patch

BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
DoctorJ analyzes Java code, in the following functional areas:
documentation verification, statistics generation and syntax analysis.

%prep
%setup -q
%patch0 -p1

%build

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# build .so
%{_bindir}/aot-compile-rpm

# fix ecute perms on shell script
chmod +x %{buildroot}/%{_bindir}/%{name} 

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/doctorj
%{_mandir}/man1/doctorj.1*
%{_datadir}/%{name}
%{_libdir}/gcj/%{name}

%changelog
* Sun Jun 11 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.0.0-5
- build shared objects (bz#194806)
- spec mods to comply with http://fedoraproject.org/wiki/NativeJava

* Sun Apr 30 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.0.0-3
- based on advise from Ville Skyttä, changed buildrequires and requires
- made package noarch

* Sat Apr 29 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.0.0-2
- added patch to export classpath
- added requires on java-1.4.2-gcj-compat

* Sat Apr 29 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.0.0-1
- Updated version

* Fri May 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 4.0.2-7
- Patch to fix x86_64 build.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 4.0.2-6
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 4.0.2-5
- rebuilt

* Sun Feb 13 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.2-4
- Apply proper build fix from Michael Schwendt.

* Sun Feb 13 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.2-3
- Use compat-gcc-c++ to fix build on FC3+.

* Sun May 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.2-0.fdr.2
- Fix build on FC2, thanks to Michael Schwendt (bug 1025).

* Fri Aug 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.2-0.fdr.1
- Update to 4.0.2.

* Thu Aug 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.1-0.fdr.1
- Update to 4.0.1.
- Clean up %%doc list.

* Thu Mar 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.0-0.fdr.1
- Update to 4.0.0 and to current Fedora guidelines.
- compat-gcc-c++ no longer required.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 3.3.9-1.fedora.1
- First Fedora release.
